# Get a run — CacheBoost API

> Retrieve a single run by ID with summary statistics.

Source: https://www.cache-boost.com/support/api-reference/runs/get.md
Language: en

---



Retrieve a single run by ID, including full summary statistics.

**`GET /v1/runs/{id}`** — Scope: `runs:read`

## Example request

```bash
curl https://api.cache-boost.com/v1/runs/88 \
  -H "Authorization: Bearer cb_live_YOUR_KEY"
```

## Response

`200 OK` — run object with boost name and site ID.

```json
{
  "id": 88,
  "boost_id": 15,
  "boost_name": "Daily warm",
  "site_id": 42,
  "status": "done",
  "status_message": null,
  "started_at": "2025-01-15T01:00:05Z",
  "finished_at": "2025-01-15T01:04:22Z",
  "summary": {
    "total_calls": 1240,
    "successful_calls": 1238,
    "failed_calls": 2,
    "cache_hits": 1165,
    "average_response_time_ms": 112.5,
    "pops": {"CDG": 620, "AMS": 618}
  },
  "created_at": "2025-01-15T01:00:00Z"
}
```

## Errors

| Code | Description |
|------|-------------|
| `401` | Missing or invalid API key |
| `403` | Insufficient scope or access denied |
| `404` | Run not found |



---

**CacheBoost** — Automatic cache warming for faster websites.

- Website: https://www.cache-boost.com
- Full content (all pages): https://www.cache-boost.com/llms-full.txt
- LLM index: https://www.cache-boost.com/llms.txt
- Documentation: https://www.cache-boost.com/support/getting-started/introduction
- Start free: https://www.cache-boost.com/try
